<?php
/**
 * All-in-One WP Migration
 * Copyright (C) 2014-2018 ServMask Inc.
 *
 * Modified Copyright (C) 2025 Lead Connector
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Well Sir You Cannot Jump Here...haha' );
}

class Lcm_Import_Users {

	public static function execute( $params ) {

		// Check multisite.json file
		if ( is_file( lcm_multisite_path( $params ) ) ) {

			// Set progress
			Lcm_Status::info( __( 'Preparing WordPress users...', 'lc-migrator' ) );

			// Read multisite.json file
			$handle = lcm_open( lcm_multisite_path( $params ), 'r' );

			// Parse multisite.json file
			$multisite = lcm_read( $handle, filesize( lcm_multisite_path( $params ) ) );
			$multisite = json_decode( $multisite, true );

			// Close handle
			lcm_close( $handle );

			lcm_populate_roles();

			// Set WordPress super admins
			if ( isset( $multisite['Admins'] ) && ( $admins = $multisite['Admins'] ) ) {
				foreach ( $admins as $username ) {
					if ( ( $user = get_user_by( 'login', $username ) ) ) {
						if ( $user->exists() ) {
							$user->set_role( 'administrator' );
						}
					}
				}
			}

			// Set progress
			Lcm_Status::info( __( 'WordPress users prepared.', 'lc-migrator' ) );
		}

		return $params;
	}
}
